Bug 2318 - Vinagre in full screen mode is crash gnome-shell and never restored.
: Vinagre in full screen mode is crash gnome-shell and never restored.
Status: RESOLVED WORKSFORME
Product: Desktop Bugs
Classification: ROSA Desktop
Component: GNOME edition
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: Arkady L. Shane
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 00:45 MSD by Postnikov Dmitry
Modified: 2016-08-17 00:41 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
ggg4.png (159.03 KB, image/png)
2013-07-09 00:45 MSD, Postnikov Dmitry
Details
ggg5.png (318.82 KB, image/png)
2013-07-09 00:47 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2013-07-09 00:45:38 MSD
Created attachment 1651 [details]
ggg4.png

Description of problem:
Vinagre in full screen mode is crash gnome-shell, and never restored.


Steps to Reproduce:
1. Open Vinagre
2. Connect via VNC to remote host
3. Switch to full screen
4. crash gnome-shell and and never restored.

In log:
============
Jul  9 00:02:27 localhost kernel: [ 6241.780953] gnome-shell[2679]: segfault at 0 ip 00007fc214324b40 sp 00007fffed02dee8 error 4 in libcogl.so.12.1.1[7fc2142ed000+aa000]
Jul  9 00:02:28 localhost kernel: [ 6242.400601] gnome-shell[5674]: segfault at 0 ip 00007f018bcccb40 sp 00007fffed8c8268 error 4 in libcogl.so.12.1.1[7f018bc95000+aa000]
Jul  9 00:02:43 localhost [2480]: Unrecoverable failure in required component gnome-shell.desktop
Jul  9 00:02:43 localhost NetworkManager[1815]: <warn> error requesting auth for org.freedesktop.NetworkManager.wifi.share.protected: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.66': no such name
Jul  9 00:02:43 localhost NetworkManager[1815]: <warn> error requesting auth for org.freedesktop.NetworkManager.wifi.share.open: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.66': no such name
Jul  9 00:02:43 localhost dbus[1704]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.6" (uid=0 pid=1717 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.90" (uid=0 pid=5705 comm="/usr/lib64/gdm-simple-slave --display-id /org/gnom")
Jul  9 00:02:43 localhost gdm[1717]: GLib-GObject: g_object_ref: assertion `object->ref_count > 0' failed
Jul  9 00:02:43 localhost gdm[1717]: GLib-GObject: g_object_unref: assertion `object->ref_count > 0' failed
Jul  9 00:02:43 localhost dbus-daemon[1704]: dbus[1704]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.6" (uid=0 pid=1717 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.90" (uid=0 pid=5705 comm="/usr/lib64/gdm-simple-slave --display-id /org/gnom")
Jul  9 00:02:43 localhost gnome-session[5750]: Gdk-WARNING: gnome-session: Fatal IO error 0 (Победа) on X server :1.
Jul  9 00:02:43 localhost gdm[1717]: GLib-GObject: g_object_ref: assertion `object->ref_count > 0' failed
Jul  9 00:02:43 localhost gdm[1717]: GLib-GObject: g_object_unref: assertion `object->ref_count > 0' failed
Jul  9 00:02:43 localhost dbus-daemon[1704]: dbus[1704]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.6" (uid=0 pid=1717 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.96" (uid=0 pid=5776 comm="/usr/lib64/gdm-simple-slave --display-id /org/gnom")
Jul  9 00:02:43 localhost dbus[1704]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.6" (uid=0 pid=1717 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.96" (uid=0 pid=5776 comm="/usr/lib64/gdm-simple-slave --display-id /org/gnom")
===============

And in Gnome setting "Theme" - "Theme shell" access denied.
Comment 1 Postnikov Dmitry 2013-07-09 00:47:09 MSD
Created attachment 1652 [details]
ggg5.png
Comment 2 FirstLevel 2014-10-08 14:56:09 MSD
Please check the problem for new release
http://mirror.rosalab.ru/rosa/rosa2014.1/iso/ROSA.Fresh.R4/
Comment 3 Denis Silakov 2016-08-17 00:41:53 MSD
No answer and no reports of the same kind for a very long time - let's hope everything is ok.